# Detect the distribution in use
%global __despace /usr/bin/head -n 1 | /usr/bin/tr -d '[:space:]' | %{__sed} -e 's/[(].*[)]//g'
%global __lower4 /usr/bin/cut -c 1-4 | /usr/bin/tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(%{__sed} -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(%{__sed} -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS & White Box as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "wbel"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

%{!?perl_vendorlib: %global perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}
%{!?__id_u: %global __id_u %([ -x /bin/id ]&&echo /bin/id||([ -x /usr/bin/id ]&&echo /usr/bin/id||echo /bin/true)) -u}

Summary:	Test case module for Perl
Name:		perl-Test-Manifest
Version:	1.23
Release:	4.%{__distinit}%{__distvers}
License:	GPL+ or Artistic
Group:		Development/Libraries
Url:		http://search.cpan.org/dist/Test-Manifest/
Source0:	http://search.cpan.org/CPAN/authors/id/B/BD/BDFOY/Test-Manifest-%{version}.tar.gz
Patch0:		perl-Test-Manifest-1.23-manpage.patch
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)
BuildRequires:	perl(Exporter), perl(Test::Pod), perl(Test::Pod::Coverage)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:	perl(Exporter)

%description
MakeMaker assumes that you want to run all of the .t files in the t/ directory
in ascii-betical order during make test unless you say otherwise. This leads to
some interesting naming schemes for test files to get them in the desired
order.

You can specify any order or any files that you like, though, with the test
directive to WriteMakefile.

Test::Manifest looks in the t/test_manifest file to find out which tests you
want to run and the order in which you want to run them. It constructs the
right value for MakeMaker to do the right thing.

%prep
%setup -q -n Test-Manifest-%{version}

# Reinstate manpage, dropped upstream
%patch0 -p1 -b .manpage

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%clean
%{__rm} -rf %{buildroot}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install PERL_INSTALL_ROOT=%{buildroot}
/usr/bin/find %{buildroot} -type f -name .packlist -exec %{__rm} -f {} ';'
/usr/bin/find %{buildroot} -depth -type d -exec /bin/rmdir {} ';' 2>/dev/null
%{_fixperms} %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::Manifest.3pm*

%changelog
* Thu Jun 24 2010 Paul Howarth <paul@city-fan.org> 1.23-4
- Rebuild for perl 5.12.1 in Rawhide

* Thu May 13 2010 Paul Howarth <paul@city-fan.org> 1.23-3
- Fix dist tag for RHEL-6 Beta

* Sat Feb 13 2010 Paul Howarth <paul@city-fan.org> 1.23-2
- Add manual deps on perl(Exporter), used in "use base" clause
- Dist tag for Rawhide no longer needs special-casing
- Use %%{_fixperms} macro rather than our own %%{__chmod} incantation

* Mon Jul 27 2009 Paul Howarth <paul@city-fan.org> 1.23-1
- Update to 1.23
  - fix bug for missing file (should warn and skip, not pass to run_t_files)
  - file path and unlink fixes for VMS (CPAN RT#32061)
- Add patch to reinstate manpage, dropped upstream
- Define RPM macros in global scope

* Sat Nov 15 2008 Paul Howarth <paul@city-fan.org> 1.22-2
- Tweak dist tag macros to work on current Rawhide with three-part releasenum

* Mon Oct 29 2007 Paul Howarth <paul@city-fan.org> 1.22-1
- Update to 1.22

* Fri Sep 28 2007 Paul Howarth <paul@city-fan.org> 1.21-1
- Update to 1.21
- Clarify license as GPL version 1 or later, or Artistic (i.e. same as perl)

* Fri Feb 23 2007 Paul Howarth <paul@city-fan.org> 1.17-1
- Update to 1.17
- Fix dist tags for FC7 onwards
- Remove %%{__perl_version} macro, used only once
- Remove %%{__perl_package} macro, used only twice
- Use search.cpan.org URLs
- Remove buildroot unconditionally in %%clean and %%install
- No need to look for empty .bs files in a noarch package
- Don't use macros in command paths, hardcode them instead
- Fix argument order for find with -depth
- Define %%{__id_u} in a more portable way
- Add buildreqs perl(Test::Pod) and perl(Test::Pod::Coverage)

* Fri Jul  8 2005 Paul Howarth <paul@city-fan.org> 1.14-2
- Rewrite spec file in (mainly) Fedora Extras style
- Include full URL for source
- Fix URL
- Use MODULE_COMPAT dependency style and remove explicit perl dependency
- Remove MANIFEST from %%doc

* Fri Apr  1 2005 Paul Howarth <paul@city-fan.org> 1.14-1
- Update to 1.14

* Wed Oct 27 2004 Paul Howarth <paul@city-fan.org> 1.11-1
- Update to 1.11
- Tidy up spec file

* Mon May 10 2004 Paul Howarth <paul@city-fan.org> 0.93-1
- Initial build
